0 votes
by (130 points)
Version 2.3.1 is buggy as all hell, but my downloaded version (2.2.1 I believe), is incredibly laggy. If I could run 2.2.1 through my browser that would be fantastic, but it defaults to the newest version, so I was wondering if there's a way around that or if the website only hosts the newest version. I'm using windows if that matters, thanks.

1 Answer

+1 vote
by (63.1k points)
by (130 points)
Thanks, but while I can access my stories from there, trying to test passages comes up with a blank white screen for some reason. Are you able to use that normally? I tried it on chrome and firefox.
by (63.1k points)
Try resetting your start passage and changing your story format to another one then back to what you want it to be.
by (130 points)
The current version of sugarcube doesn't load when I go to the formats, which must be why it doesn't work, as that's what I'm using. Says there's a timeout when it tries to load it.
by (63.1k points)
How are you loading it and where are you loading it from?
by (130 points)
I'm not sure what you mean. I selected change story format from the little menu in the bottom left while in my story, and it tries to load all the different formats, but fails to load sugarcube 2.28.2 and Harlowe 3.0.2.
by (63.1k points)
Those formats are not part of 2.2.1. You need to manually install them. If you aren't doing that, then that's the problem. If you are trying to install them but they aren't working, then I was asking how you're installing them.

Here's a hosted version of SugarCube 2.28.2 you can install: https://cdn.jsdelivr.net/gh/klembot/twinejs@2.3.1/story-formats/sugarcube-2.28.2/format.js
by (130 points)
I got this when trying to install it.

The story format at https://cdn.jsdelivr.net/gh/klembot/twinejs@2.3.1/story-formats/sugarcube-2.28.2/format.js could not be added (this story format is already installed).

I tried deleting the non-functioning sugarcube version, thinking  that might be the issue, but that wouldn't work. I'm trying to add it through the Add a New Format tab when you select formats in the stories page of twine.

I also tried downloading the same verison and uploading it with that, but I just got a timeout error doing that.
by (63.1k points)
The timeout is a CORS issue. You can't generally send a story format file from you hard disk into the online Twine app. What you may need to do is save all your stories to an archive and clear your browsing data for Twinery.org, then go to the 2.2.1 version and try re-adding the format.
by (130 points)
Thanks a bunch, that fixed the issue. You've saved me from a huge headache trying to work around all that lag.
by (63.1k points)
Glad it worked. :)
Welcome to Twine Q&A, where you can ask questions and receive answers from other members of the community.

You can also find hints and information on Twine on the official wiki and the old forums archive.

See a spam question? Flag it instead of downvoting. A question flagged enough times will automatically be hidden while moderators review it.
...